%define reldate 20111214
%define major 0
%define libname %mklibname dwarf %{major}
%define devname %mklibname dwarf -d
%define sdevname %mklibname dwarf -d -s

Summary:	Library to access the DWARF Debugging file format 
Name:		libdwarf
Version:	0.%{reldate}
Release:	5
License:	LGPLv2
Group:		System/Libraries
Url:		http://reality.sgiweb.org/davea/dwarf.html
Source0:	http://reality.sgiweb.org/davea/%{name}-%{reldate}.tar.gz
# This patch set up the proper soname
Patch0:		libdwarf-soname-fix.patch
Patch1:		dwarf-20111030-link-against-required-libelf.patch
BuildRequires:	binutils-devel
BuildRequires:	elfutils-devel

#----------------------------------------------------------------------------

%description
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%package -n %{libname}
Summary:	Library to access the DWARF Debugging file format 
Group:		System/Libraries

%description -n %{libname}
Library to access the DWARF debugging file format which supports
source level debugging of a number of procedural languages, such as C, C++,
and Fortran.  Please see http://www.dwarfstd.org for DWARF specification.

%files -n %{libname}
%doc libdwarf/ChangeLog libdwarf/README libdwarf/COPYING libdwarf/LIBDWARFCOPYRIGHT
%{_libdir}/libdwarf.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Library and header files of libdwarf
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	dwarf-devel = %{EVRD}

%description -n %{devname}
Development package containing library and header files of libdwarf.

%files -n %{devname}
%doc libdwarf/*.pdf
%dir %{_includedir}/libdwarf
%{_includedir}/libdwarf/dwarf.h
%{_includedir}/libdwarf/libdwarf.h
%{_libdir}/libdwarf.so

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static libdwarf library
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	dwarf-static-devel = %{EVRD}

%description -n %{sdevname}
Static libdwarf library.

%files -n %{sdevname}
%{_libdir}/libdwarf.a

#----------------------------------------------------------------------------

%package -n dwarf-tools
Summary:	Tools for accessing DWARF debugging information
License:	GPLv2
Group:		Development/Tools

%description -n dwarf-tools
C++ version of dwarfdump (dwarfdump2) command-line utilities 
to access DWARF debug information.

%files -n dwarf-tools
%doc dwarfdump2/README dwarfdump2/ChangeLog dwarfdump2/COPYING dwarfdump2/DWARFDUMPCOPYRIGHT
%{_bindir}/dwarfdump

#----------------------------------------------------------------------------

%prep
%setup -q -n dwarf-%{reldate}
%patch0 -p1 -b .soname-fix~
%patch1 -p1 -b .libelf~
find |xargs chmod o+r

%build
pushd libdwarf
%configure2_5x --enable-shared
%make
popd

# Need to also configure dwarfdump since dwarfdump2 Makefile 
# depends on dwarfdump's Makefile
pushd dwarfdump
%configure2_5x
popd

pushd dwarfdump2
%configure2_5x
LD_LIBRARY_PATH="../libdwarf" make
popd

%install
install -pm755 libdwarf/libdwarf.so.%{major}.0 -D %{buildroot}%{_libdir}/libdwarf.so.%{major}.0
cp -pd libdwarf/libdwarf.so.%{major} %{buildroot}%{_libdir}/libdwarf.so.%{major}
cp -pd libdwarf/libdwarf.so.%{major} %{buildroot}%{_libdir}/libdwarf.so

install -pm644 libdwarf/libdwarf.a -D %{buildroot}%{_libdir}/libdwarf.a
install -pm644 libdwarf/dwarf.h -D %{buildroot}%{_includedir}/libdwarf/dwarf.h
install -pm644 libdwarf/libdwarf.h -D %{buildroot}%{_includedir}/libdwarf/libdwarf.h

install -pm755 dwarfdump2/dwarfdump -D %{buildroot}%{_bindir}/dwarfdump


%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.20111214-5
- (ce45456) Spec cleanup


